%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  PoolBal
%global packver   0.1-0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Balancing Central and Marginal Rejection of Pooled p-Values

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.3.0
Requires:         R-core >= 4.3.0
BuildArch:        noarch
BuildRequires:    R-methods 
Requires:         R-methods 

%description
When using pooled p-values to adjust for multiple testing, there is an
inherent balance that must be struck between rejection based on weak
evidence spread among many tests and strong evidence in a few, explored in
Salahub and Olford (2023) <arXiv:2310.16600>. This package provides
functionality to compute marginal and central rejection levels and the
centrality quotient for p-value pooling functions and provides
implementations of the chi-squared quantile pooled p-value (described in
Salahub and Oldford (2023)) and a proposal from Heard and Rubin-Delanchy
(2018) <doi:10.1093/biomet/asx076> to control the quotient's value.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
